package com.cm.common.wechat.pojo;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: WechatOfficialAccountAccessTokenForUser
 * @Description: 微信公众号用户accessToken
 * @Author: WangGeng
 * @Date: 2020/3/2 12:09 下午
 * @Version: 1.0
 **/
public class WechatOfficialAccountAccessTokenForUser {

    private String access_token;
    private Integer expires_in;
    private String refresh_token;
    private String openid;
    private String scope;
    private Integer errcode;
    private String errmsg;

    public String getAccess_token() {
        return access_token == null ? "" : access_token.trim();
    }

    public void setAccess_token(String access_token) {
        this.access_token = access_token;
    }

    public Integer getExpires_in() {
        return expires_in;
    }

    public void setExpires_in(Integer expires_in) {
        this.expires_in = expires_in;
    }

    public String getRefresh_token() {
        return refresh_token == null ? "" : refresh_token.trim();
    }

    public void setRefresh_token(String refresh_token) {
        this.refresh_token = refresh_token;
    }

    public String getOpenid() {
        return openid == null ? "" : openid.trim();
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getScope() {
        return scope == null ? "" : scope.trim();
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public Integer getErrcode() {
        return errcode;
    }

    public void setErrcode(Integer errcode) {
        this.errcode = errcode;
    }

    public String getErrmsg() {
        return errmsg == null ? "" : errmsg.trim();
    }

    public void setErrmsg(String errmsg) {
        this.errmsg = errmsg;
    }
}
